
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>JavaScript 性能优化小结_javascript技巧 / iVAN</title>

    <meta name="description" content="JavaScript 性能优化小结_javascript技巧 随着 Web2.0 技术的不断推广,越来越多的应用使用 JavaScript 技术在客户端进行处理,从而使 JavaScript 在浏览器中的性能成为开发者所面临的最重要的可用性问题.而这个问题又因 JavaScript 的阻塞特性变的复杂,也就是说当浏览器在执行 JavaScript 代码时,不能同时做其他任何事情.本文详细介绍了如何正确的加载和执行 JavaScript 代码,从而提高其在浏览器中的性能. 在J2EE编程中,我们接触最多的脚本语言还是JavaScript.在使用JavaScr">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">JavaScript 性能优化小结_javascript技巧</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>随着 Web2.0 技术的不断推广，越来越多的应用使用 JavaScript 技术在客户端进行处理，从而使 JavaScript 在浏览器中的性能成为开发者所面临的最重要的可用性问题。而这个问题又因 JavaScript 的阻塞特性变的复杂，也就是说当浏览器在执行 JavaScript 代码时，不能同时做其他任何事情。本文详细介绍了如何正确的加载和执行 JavaScript 代码，从而提高其在浏览器中的性能。</p>
<p>在J2EE编程中，我们接触最多的脚本语言还是JavaScript。在使用JavaScript中我们通常会考虑其性能问题，因此将日常总结的关于JavaScript性能优化的方式总结出来，以备查询。<br />
在使用JavaScript中经常会遇到字符串的拼接问题。请问大家在使用Java编程的时候遇到上述的问题，该怎么处理？</p>
<p>NX学生：老师，使用StringBulider 或StringBuffer</p>
<p>老师：回答正确，使用StringBuilder或StringBuffer能够避免过多创建对象，降低系统性能。</p>
<p>好了，回到正题，我们还是来解答在使用JavaScript中，遇到上述问题的处理方式。</p>
<p>首先，先来看看NX学生的处理方式：</p>
<pre>
&lt;html&gt;
&lt;script type="text/javascript"&gt;
var string="begin"
var date = new Date()
var begin = date.getTime() 

for(var i=0;i&lt;9999999;i++){
  string+="abc"
}
alert(new Date().getTime() - begin)
&lt;/script&gt;
&lt;/html&gt; </pre>
<p>老师一看NX学生实现的方式，差点笑喷。这种垃圾的实现方式，真是毁了你一世英名啊。<br />
老师面带微笑的说道：你这种实现方式就相当于小学生的水平，就是一堆垃圾字母的随机组合。说完只听见SB老师在键盘上键步如飞的敲其代码来。NX学生还没有反应过来，老师已经将代码完成：</p>
<pre>
&lt;html&gt;
&lt;script type="text/javascript"&gt;
var string="begin";
var string01=["begin"];
var date = new Date();
var begin = date.getTime();
for(var i=0;i&lt;55555555;i++){
  //string+="abc";
  string01.push("abc");
}
var result = string01.join("");
alert(new Date().getTime() - begin);
&lt;/script&gt;
&lt;/html&gt; </pre>
<p>通过对以上代码的运行比较，老师的代码性能明显优于NX学生的代码，NX学生代码还会经常导致IE宕掉。<br />
NX学生看到代码运行的结果，顿时对老师产生仰慕之情，决定虚心想老师学习，不断提升自己……<br />
这个故事虽然告一段落，但是老师和NX学生的JavaScript之旅还在继续……</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索javascript性能优化<br />
                                    javascript优化<br />
                                    javascript性能优化、js性能优化技巧、sql 性能优化技巧、javascript课程小结、机械优化设计小结，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 09:35:56</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/javascript%e6%80%a7%e8%83%bd%e4%bc%98%e5%8c%96/" title="javascript性能优化">javascript性能优化</a>, <a href="https://www.iamivan.net/tag/javascript%e4%bc%98%e5%8c%96/" title="javascript优化">javascript优化</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>JavaScript 性能优化小结_javascript技巧的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAkm3Zz.html" rel="bookmark">web性能优化之javascript性能调优&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				JavaScript 是一个比较完善的前端开发语言,在现今的 web 开发中应用非常广泛,尤其是对 Web 2.0 的应用.随着 Web 2.0 越来越流行的今天,我们会发现:在我们的 web 应用项目中,会有大量的 JavaScript 代码,并且以后会越来越多.JavaScript 作为一个解释执行的语言,以及它的单线程机制,决定了性能问题是 JavaScript 的软肋,也是 web 软件工程师们在写 JavaScript 需要高度重视的一个问题,尤其是针对 Web 2.0 的应用.绝大多			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgEOymz.html" rel="bookmark">JavaScript对象学习小结&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				JavaScript 对象 JavaScript 提供多个内建对象,比如 String.Date.Array 等等. 对象只是带有属性和方法的特殊数据类型. 在JavaScript中,几乎用到的每个js都离不开它的对象.下面我们深入了解一下js对象. js中对象的分类跟之前我们学过的语言中函数的分类一样,一个是系统自带的叫预定义对象,一个是用户自己写的叫自定义对象. 大体内容如下图所示:  一:核心对象 1.Array对象 数组对象,用来创建数组,使用new 创建 常用的方法如下图: 常用属性:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn7AQOz.html" rel="bookmark">javascript模版引擎-tmpl的bug修复与性能优化分析&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				精妙的 tmpl 前端模板类开源的不少,但最属 jQuery 作者 John Resig 开发的 &quot;javascript micro templating&quot; 最为精妙,寥寥几笔便实现了模板引擎核心功能. 它的介绍与使用方式请看作者博客:http://ejohn.org/blog/javascript-micro-templating/ 让我们先看看他的源码: 复制代码 代码如下: (function(){ var cache = {}; this.tmpl = function (st			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boL9NvM.html" rel="bookmark">JavaScript中的无阻塞加载性能优化方案&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Javascript在浏览器中的性能,可以说是前端开发者所要面对的最重要的可用性问题. 在Yahoo的Yslow23条规则当中,其中一条是将JS放在底部 .原因是,事实上,大多数浏览器使用单进程处理UI和更新Javascript运行等多个任务,而同一时间只能有一个任务被执行.Javascript运行了多长时间,那么在浏览器空闲下来响应用户交互之前的等待时间就有多长. 从基本层面说,这意味着&lt;script&gt;标签的出现使整个页面因脚本解析.运行而出现等待.不论实际的 JavaScript 代码是内			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwKWv8z.html" rel="bookmark">Javascript中replace&lpar;&rpar;小结&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				关于定义   replace() 方法用于在字符串中用一些字符替换另一些字符,或替换一个与正则表达式匹配的子串. 关于语法 stringObject.replace(regexp/substr,replacement) 关于参数 参数 描述 regexp/substr 必需.规定子字符串或要替换的模式的 RegExp 对象. 请注意,如果该值是一个字符串,则将它作为要检索的直接量文本模式,而不是首先被转换为 RegExp 对象. replacement 必需.一个字符串值.规定了替换文本或生成替			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6EKxob.html" rel="bookmark">javascript数组去重小结&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 最近为了换工作,准备下面试,开始回顾复习JavaScript相关的知识,昨天下午想到了数组去重的相关方法,干脆整理出几篇JavaScript算法文章,以备后用,此系列文章不定篇数,不定时间,想到哪写到哪,不保证正确性,不保证高效率,只是谈谈个人理解,如有错误,请诸位斧正. 关于去重 数组去重是一个比较常见的算法考察点,实现去重的方式无外乎通过唯一性和非唯一性.简单来讲就是挑出唯一的或者删除不唯一的.以下所有算法都是我自己瞎命名的,请无视之. 循环匹配去重 顾名思义,就是把数组中的每一个元素			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNvOwdM.html" rel="bookmark">15条JavaScript最佳实践小结&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文档整理大部分公认的.或者少有争议的JavaScript良好书写规范(Best Practice).一些显而易见的常识就不再论述(比如要用对象支持识别判断,而不是浏览器识别判断:比如不要嵌套太深).条目顺序按重要级粗略的从高到低排列. 把外部JavaScript文件放在HTML底部 我们的目标是相同的:为用户尽可能快地显示内容.当载入一个脚本文件的时候,HTML会停止解析,直到脚本载入完毕.因此,用户可能会长时间对着一个空白的屏幕,看上去什么都没有发生.如果你的JavaScript代码只是增加			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPBw7Ab.html" rel="bookmark">JavaScript 验证浏览器是否支持javascript的方法小结&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				效果:  先来看看别的网站是怎么做的: google.com的登录: 客户端 和服务器端都验证了,并且提示信息一样的 baidu.com 的登录: 屏蔽了密码输入框 http://fanfou.com/register : 客户端和后台都验证了,但是提示的信息方式不一样 http://login.xiaonei.com/Login.do : 用户禁用Js后有提示信息 我的实现步骤: 思想: 1,默认(禁用js)submit按钮式不显示的,如果启用后,就显示submit按钮 2,通过&lt;noscri			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQ1aG0b.html" rel="bookmark">JavaScript 代码压缩工具小结&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				UglifyJS UglifyJS是构建于nodeJS服务器端之上的一个代码压缩工具,目前jQuery使用它来压缩,压缩效果比较好. GitHub主页:http://github.com/mishoo/UglifyJS/ 在线使用:http://marijnhaverbeke.nl/uglifyjs 使用方法: 从http://nodejs.org下载nodejs,用到的是node.exe 再从UglifyJS的GitHub主页下载它的最新版本 复制node.exe到UglifyJS的bin目录			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OM9AvXM.html" rel="bookmark" class="title">&period;NET中的动态编译</a>
					<div>
						代码的动态编译并执行是一个.NET平台提供给我们的很强大的工具用以灵活扩展(当然是面对内部开发人员)复杂而无法估算的逻辑,并通过一些额外的代码来扩展我们已有 的应用程序.这在很大程度上给我们提供了另外 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMgoeZM.html" rel="bookmark" class="title">嗨 甲骨文【4】</a>
					<div>
						动态SQL的使用 Oracle实际上比SQL Server好一些,但绝对没有传说中那么强.这是这些天一识Oracle庐山真面目的感受.看来好多事情多如此,听的要比见到的完美.接着第一句说,Oracle ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPE28z.html" rel="bookmark" class="title">服务器访问权限控制策略的重要性</a>
					<div>
						任何服务器,安全与性能是两个永恒的主题.作为企业的信息化安全人员,其主要任务就是如何在保障服务器性能的前提下提高服务器的安全性.而要做到这一点,服务器的访问权限控制策略无疑是其中的一个重要环节.笔者企 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo66wVz.html" rel="bookmark" class="title">WPF and Silverlight学习笔记（二）：WPF和Silverlight概述</a>
					<div>
						WPF(Windows Presentation Foundation,Windows外观基础(直译))是基 于Framework 3.0(含以后版本)的新一代Windows界面开发技术. Silve ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPWgOz.html" rel="bookmark" class="title">如何查找新浪UC好友</a>
					<div>
						新浪UC逐渐开始受越来越多的网友关注.在这里我会向大家陆续介绍新浪UC的使用方法,教您用好新浪UC.今天学习如何查找新浪UC好友. 一:使用普通查找在主界面的&quot;我的好友&quot;列表空白处 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKyD1M.html" rel="bookmark" class="title">eclipse &plus; JBoss 5 &plus; EJB3开发指南系列文章目录</a>
					<div>
						eclipse + JBoss 5 + EJB3开发指南(15):拦截器方法和拦截器类 eclipse + JBoss 5 + EJB3开发指南(14):消息驱动Bean eclipse + JBos ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3omawb.html" rel="bookmark" class="title">Windows2003网络服务器安全攻略</a>
					<div>
						  一.Windows Server2003的安装 1.安装系统最少两需要个分区,分区格式都采用NTFS格式 2.在断开网络的情况安装好2003系统 3.安装IIS,仅安装必要的 IIS 组件(禁用不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRwP03p.html" rel="bookmark" class="title">阿里云双11访谈之MaxCompute</a>
					<div>
						摘要:在阿里云双11访谈MaxCompute专场中,MaxCompute资深运营专家祎休为大家简单介绍了阿里云的MaxCompute平台的基本情况,并且为大家分享了MaxCompute如何帮助用户快速 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEWwOAp.html" rel="bookmark" class="title">Ajax xmlHttpRequest的status的值的含义&lowbar;AJAX相关</a>
					<div>
						xmlHttpRequest对象的status代表当前http请求的状态,是一个长整型数据,现在介绍一下它的含义. http请求状态及其含义表 1xx - 信息提示 100 - 初始的请求已经接受,客 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze608Ob.html" rel="bookmark" class="title">初学者-对排列和组合不知道怎么办了</a>
					<div>
						问题描述 对排列和组合不知道怎么办了 对排列和组合比较陌生,所以,希望大神能解释一下----初学者,最好用C语言,嘿嘿,太复杂的看不懂. 解决方案 排列组合的定义:http://blog.sina.c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJk6V2b.html" rel="bookmark" class="title">java的监测工具jprofiler是否有控制原程序输入的功能？</a>
					<div>
						问题描述 java的监测工具jprofiler是否有控制原程序输入的功能? 在下目前正在使用jprofiler集成eclipse做一些java代码的监测工作,我们知道对于不同的输入程序对资源的使用是不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxoqKOb.html" rel="bookmark" class="title">vc&plus;&plus;-VC&plus;&plus; 字符串格式转换问题</a>
					<div>
						问题描述 VC++ 字符串格式转换问题 我调用的m_DICOMX1.get_DICOMImageDate() 这个方法获取的字符串 19660822 我想显示为1966/08/02 需要如何实现 解决 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgRK28b.html" rel="bookmark" class="title">正则表达式！！求求！急急！</a>
					<div>
						问题描述 正则表达式!!求求!急急! 有谁知道大写.小写.数字.符号四个都必须包含的正则表达式!急急急! 解决方案 自己扩展符号集合 ^(?=.*[0-9].*)(?=.*[A-Z].*)(?=.*[ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5ZoRqz.html" rel="bookmark" class="title">关于C&plus;&plus;的一些看法</a>
					<div>
						最近打算学习C++,在准备的过程中,我认为学习方法应该是最重要的,不能盲目的拿到书就看,而且如今书籍琳琅满目,因此对于任何一位像我这样的菜鸟来说 都是很迷茫,不知所措.这就是我为什么要学习一些高手牛人 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3rJ2kz.html" rel="bookmark" class="title">根据前序和中序非递归创建二叉树</a>
					<div>
						问题描述 根据前序和中序非递归创建二叉树 2C 怎样才能创建二叉树?传入参数T后,T不断被改变,我只想创建T的子树.然后以T为头节点.struct BTNode{ char data; BTNode  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKgL3b.html" rel="bookmark" class="title">浏览器盈利之困：网址导航或成救命稻草</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 浏览器从互联网诞生那一刻开始就显得异常重要,他们之间的纷争重来没有平息过,无论是新技术的研发还是商业化的炒作,甚至还引发了微软与网景的那场惨烈的世纪之战 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z40Z01z.html" rel="bookmark" class="title">wine自身的高级操作技巧</a>
					<div>
						Wine操作技巧,此条目不是针对如何安装应用程序,仅针对wine自身的高级操作. 使用不同的.wine目录运行程序 我们有时不希望所有程序安装于一个.wine中.因为有些程序需要特别的运行环境,或者对 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8YjEVz.html" rel="bookmark" class="title">《正则表达式经典实例（第2版）》&mdash;&mdash;第 1 章　正则表达式简介   1&period;1正则表达式的定义</a>
					<div>
						第 1 章 正则表达式简介 在你打开这本书的时候,很可能已经热切地期望,要在代码中插入本书中找到的那些包含诸多括号和问号的古怪字符串了.如果你已经准备好要&quot;即查即用&quot;,我们非常欢迎 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZBBYoz.html" rel="bookmark" class="title">Java中把JSON和List结果集互转的代码片段整理</a>
					<div>
						1.将JSON字符串转换成List结果集的方式: //查询结果集 PageDatums picPageDatums = pictureLibraryService.selectPagePictureF ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLg53aM.html" rel="bookmark" class="title">银监会：P2P定位小额分散，互联网解决不了大额融资风控问题</a>
					<div>
						今天下午,银监会召开新闻发布会,正式下发了&lt;网络借贷信息中介机构业务活动管理暂行办法(评估稿)&gt;.等待了大半年的P2P网贷监管细则终于落地. 总体上看,银监会认为,&quot;P2P网贷的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M60DXAz.html" rel="bookmark" class="title">密室之失踪人口：Oracle查询中十分诡异的现象</a>
					<div>
						问题描述 第一段代码查询出9条数据select userid as 编号, username as 用户名, password as 密码, createdate as 创建日期, email as  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRkljp.html" rel="bookmark" class="title">java类的问题&hellip;&hellip;-Java中关于字父类的问题，求好心人帮助</a>
					<div>
						问题描述 Java中关于字父类的问题,求好心人帮助 Zi类继承Fu类,结果应该输出6不应该是7啊,求大神解答. class Fu{ int x=7; int y=2; public void a(){ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmBQg3z.html" rel="bookmark" class="title">关于OAuth2&period;0 的问题</a>
					<div>
						问题描述 现在有如下几个WEB应用ABC1C2C3A是我们自己开发的B和C是另外一个合作方开发的C是B的子系统而且有多个.现在C要访问A系统的里面的资源,涉及到WebAPI和页面,而且需要权限验证,但 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjwXGVM.html" rel="bookmark" class="title">求高手 大问题  编程问题 谢了跪求</a>
					<div>
						问题描述 求高手 大问题 编程问题 谢了跪求 求高手 大问题 用c++写一个(电脑连接usb摄像头 当摄像头断开连接时报错 但是要明确哪个摄像头断开了)					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeo3kVM.html" rel="bookmark" class="title">android 开发-下面图片中的效果怎么弄的</a>
					<div>
						问题描述 下面图片中的效果怎么弄的 默认显示如第一张图,点击按钮,文字描述跑出来了开发-下面图片中的效果怎么弄的-android开发动画效果&quot;&gt; 解决方案 参考. http://blo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVQ4onp.html" rel="bookmark" class="title">java或js&lpar;可用jquery&rpar;如何获取上传文件原始路径名？</a>
					<div>
						问题描述 上传文件时,我想获取客户端上传文件的原始路径.第一考虑,当然是使用js,例如网上可以找到的: function getPath(obj) { if (obj) { if (window.na ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeoe48M.html" rel="bookmark" class="title">&lbrack;转载&rsqb;Flash P2P 文件共享基础教程</a>
					<div>
						一篇很不错的讲解&quot;利用flash player 10.1中的p2p特性实现文件共享&quot;的文章,为防止原文被墙掉,转载于此,原始出处:http://www.flashrealtime. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgEd9mz.html" rel="bookmark" class="title">Laravel 5框架学习之路由、控制器和视图简介&lowbar;php实例</a>
					<div>
						查看 app/Http/routes.php 复制代码 代码如下: Route::get('/', 'WelcomeController@index'); @是一个界定符,前面是控制器,后面是动作,表 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5QvWWp.html" rel="bookmark" class="title">简单实用的javascript日历控件代码</a>
					<div>
						JanuaryFebruaryMarchAprilMayJuneJulyAugustSeptember    OctoberNovemberDecember   1995         199619 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDXWGlz.html" rel="bookmark" class="title">金龙鱼出水</a>
					<div>
						作者:孙红.郝治军 通吃 郭氏家族布局中国粮油市场 从上世纪80年代末起,马来西亚首富郭鹤年家族系内公司发挥原料.资金.技术和管理的优势,&quot;兵分两路&quot;展开了对中国油脂市场的合围.  ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
